Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 995186 - [abrt] emacs-24.3-9.fc19: terminate_due_to_signal: Process /usr/bin/emacs-24.3 was killed by signal 6 (SIGABRT)
Summary: [abrt] emacs-24.3-9.fc19: terminate_due_to_signal: Process /usr/bin/emacs-24....
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9df01f0d405e27bef1fed0c2797...
Depends On:
Blocks: 1124399
TreeView+ depends on / blocked
 
Reported: 2013-08-08 17:44 UTC by Jeffrey C. Ollie
Modified: 2015-02-17 16:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:39:42 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: cgroup (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: core_backtrace (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: dso_list (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: environ (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: limits (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: maps (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: open_fds (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: proc_pid_status (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details
File: var_log_messages (deleted)
2013-08-08 17:44 UTC, Jeffrey C. Ollie
no flags Details

Description Jeffrey C. Ollie 2013-08-08 17:44:20 UTC
Description of problem:


Version-Release number of selected component:
emacs-24.3-9.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        emacs /srv/pillar/rancid/init.sls
crash_function: terminate_due_to_signal
executable:     /usr/bin/emacs-24.3
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 3
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 terminate_due_to_signal at /usr/src/debug/emacs-24.3/src/emacs.c:344
 #2 emacs_abort at /usr/src/debug/emacs-24.3/src/sysdep.c:2152
 #3 x_connection_closed at /usr/src/debug/emacs-24.3/src/xterm.c:7814
 #4 x_io_error_quitter at /usr/src/debug/emacs-24.3/src/xterm.c:7921
 #5 _XIOError at XlibInt.c:1498
 #6 _XEventsQueued at xcb_io.c:366
 #7 XPending at Pending.c:55
 #8 gdk_check_xpending at gdkeventsource.c:266
 #9 gdk_event_source_prepare at gdkeventsource.c:284
 #10 g_main_context_prepare at gmain.c:3328

Comment 1 Jeffrey C. Ollie 2013-08-08 17:44:24 UTC
Created attachment 784513 [details]
File: backtrace

Comment 2 Jeffrey C. Ollie 2013-08-08 17:44:27 UTC
Created attachment 784514 [details]
File: cgroup

Comment 3 Jeffrey C. Ollie 2013-08-08 17:44:29 UTC
Created attachment 784515 [details]
File: core_backtrace

Comment 4 Jeffrey C. Ollie 2013-08-08 17:44:32 UTC
Created attachment 784516 [details]
File: dso_list

Comment 5 Jeffrey C. Ollie 2013-08-08 17:44:35 UTC
Created attachment 784517 [details]
File: environ

Comment 6 Jeffrey C. Ollie 2013-08-08 17:44:39 UTC
Created attachment 784518 [details]
File: limits

Comment 7 Jeffrey C. Ollie 2013-08-08 17:44:42 UTC
Created attachment 784519 [details]
File: maps

Comment 8 Jeffrey C. Ollie 2013-08-08 17:44:45 UTC
Created attachment 784520 [details]
File: open_fds

Comment 9 Jeffrey C. Ollie 2013-08-08 17:44:48 UTC
Created attachment 784521 [details]
File: proc_pid_status

Comment 10 Jeffrey C. Ollie 2013-08-08 17:44:51 UTC
Created attachment 784522 [details]
File: var_log_messages

Comment 11 Petr Hracek 2013-08-08 19:43:42 UTC
Hi Jeffrey,

thank you for the bug.
How can I reproduce that kind of bug?
What steps are needed for reproduction.

Comment 12 Pierre-Yves Luyten 2014-02-11 20:14:24 UTC
Hi,

I'm meeting https://retrace.fedoraproject.org/faf/reports/308545/
should I open another report? bt seems rather close to this one but versions differ

Comment 13 Jan Chaloupka 2014-07-29 12:02:28 UTC
*** Bug 1062761 has been marked as a duplicate of this bug. ***

Comment 14 Fedora End Of Life 2015-01-09 19:21:47 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-17 16:39:42 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.